Package org.springframework.security.web.authentication.logout

# Interface LogoutSuccessHandler

All Known Implementing Classes:
  `DelegatingLogoutSuccessHandler`, `ForwardLogoutSuccessHandler`, `HttpStatusReturningLogoutSuccessHandler`, `SimpleUrlLogoutSuccessHandler`

public interface LogoutSuccessHandler
Strategy that is called after a successful logout by the `LogoutFilter`, to handle redirection or forwarding to the appropriate destination.

Note that the interface is almost the same as `LogoutHandler` but may raise an exception. `LogoutHandler` implementations expect to be invoked to perform necessary cleanup, so should not throw exceptions.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`void`
`onLogoutSuccess(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.Authentication authentication)`

## Method Details

### onLogoutSuccess

void onLogoutSuccess(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, org.springframework.security.core.Authentication authentication) throws IOException, jakarta.servlet.ServletException

Throws:
  `IOException`
  `jakarta.servlet.ServletException`